## NAME

           grdlandmask - Create "wet-dry" mask grdfile from shoreline data base.

## SYNOPSIS

           grdlandmask           -Gmask_grd_file]          -Ixinc[m|c][/yinc[m|c]]
           -Rwest/east/south/north[r]  [  -Amin_area[/min_level/max_level]   ]   [
           -Dresolution ] [ -F ] [ -Nmaskvalues[o] ] [ -V ]

## DESCRIPTION

           grdlandmask  reads the selected shoreline database and uses that infor-
           mation to decide which nodes in the specified grid  are  over  land  or
           over  water. The nodes defined by the selected region and lattice spac-
           ing will be set according to one of two criteria: (1) Lands  vs  water,
           or  (2) the more detailed (hierarchial) ocean vs land vs lake vs island
           vs pond. The resulting mask grdfile may be used  in  subsequent  opera-
           tions involving grdmath to mask out data from land [or water] areas.

           -G     Name of resulting output mask grd file.

           -I     x_inc  [and  optionally  y_inc] is the grid spacing. Append m to
                  indicate minutes or c to indicate seconds.

           -R     west, east, south, and north specify the Region of interest.  To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss] format. Append r if lower left and  upper  right  map
                  coordinates are given instead of wesn.

## OPTIONS

           -A     Features  with an area smaller than min_area in km^2 or of hier-
                  archical level that is  lower  than  min_level  or  higher  than
                  max_level  will  be ignored [Default is 0/4 (all features)]. See
                  DATABASE INFORMATION in the pscoast man-pages for more  details.

           -D     Selects  the  resolution of the data set to use ((f)ull, (h)igh,
                  (i)ntermediate, (l)ow, or (c)rude). The resolution drops off  by
                  ~80%  between  data  sets. [Default is l]. Note that because the
                  coastlines differ in details a node in a  mask  file  using  one
                  resolution  is not guaranteed to remain inside [or outside] when
                  a different resolution is selected.

           -F     Force pixel registration. [Default is grid registration].

           -N     Sets the values that will be assigned to nodes.  Values  can  be
                  any  number, including the textstring NaN. Append o to let nodes
                  exactly on feature boundaries be considered outside [Default  is
                  inside].  Specify this information using 1 of 2 formats:
                          -Nwet/dry.
                          -Nocean/land/lake/island/pond.
                  [Default is 0/1/0/1/0 (i.e., 0/1)].

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

## EXAMPLES

           To set all nodes on land to NaN, and nodes over water to 1,  using  the
           high resolution data set, do

           grdlandmask -R-60/-40/-40/-30 -Dh -I5m -N1/NaN -Gland_mask.grd -V

           To  make  a  1x1 degree global grid with the hierarchical levels of the
           nodes based on the low resolution data, try

           grdlandmask -R0/360/-90/90 -Dl -I1 -N0/1/2/3/4 -Glevels.grd -V

## SEE ALSO

           gmt(l), grdmath(l), grdclip(l), psmask(l), psclip(l), pscoast(l)

    GMT3.4.6                          1 Jan 2005                    GRDLANDMASK(l)